Update contact
Partially updates a contact using JSON Merge Patch.
Authorization
bearerAuth AuthorizationBearer <token>
API key (sk_...) as Bearer token
In: header
Path Parameters
workspaceId*string
contactId*string
Request Body
application/merge-patch+json
TypeScript Definitions
Use the request body type in TypeScript.
ownerId?string
Length
1 <= lengthtype?|null
fullName?string
Length
1 <= lengthdescription?string|null|null
avatarUrl?string|null
email?|null
phone?string|null
url?|null
amount?number|null
telegram?|null
custom?|null
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/workspaces/string/contacts/string" \ -H "Content-Type: application/merge-patch+json" \ -d ''{ "data": { "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "workspaceId": "string", "ownerId": "string", "type": "contact", "fullName": "string", "description": null, "avatarUrl": "string", "email": "string", "phone": "string", "url": "string", "amount": 0, "telegram": { "id": 0, "username": "string", "folders": [ "string" ], "inviteLink": "string" }, "custom": { "property1": "string", "property2": "string" }, "id": "string", "_meta": { "properties": { "property1": { "type": "single-select", "name": "string", "selected": { "label": "string", "value": "string" } }, "property2": { "type": "single-select", "name": "string", "selected": { "label": "string", "value": "string" } } } } }}